> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Telemetry Keys

> Lists all telemetry keys configured for the title.



## OpenAPI

````yaml /services/playfab/api-references/rest/events/events.openapi.json post /Event/ListTelemetryKeys
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Events API
  description: >-
    Write custom PlayStream and Telemetry events for any PlayFab entity.
    Telemetry events can be used for analytic, reporting, or debugging.
    PlayStream events can do all of that and also trigger custom actions in near
    real-time.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: PlayStream
    description: PlayStream Management APIs
  - name: PlayStream Events
    description: PlayStream Events APIs
paths:
  /Event/ListTelemetryKeys:
    post:
      tags:
        - PlayStream Events
      summary: List Telemetry Keys
      description: Lists all telemetry keys configured for the title.
      operationId: ListTelemetryKeys
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListTelemetryKeysRequest'
      responses:
        '200':
          $ref: '#/components/responses/ListTelemetryKeysResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    ListTelemetryKeysRequest:
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: >-
            The optional entity to perform this action on. Defaults to the
            currently logged in entity.
      example: {}
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    ListTelemetryKeysResponse:
      type: object
      properties:
        KeyDetails:
          description: The telemetry keys configured for the title.
          type: array
          items:
            $ref: '#/components/schemas/TelemetryKeyDetails'
          x-isclass: true
      example:
        KeyDetails:
          - Name: MyXboxClientTelemetryKey
            KeyValue: PLACEHOLDER
            IsActive: true
            CreateTime: '2023-02-14T12:00:00Z'
            LastUpdateTime: '2023-02-15T12:00:00Z'
          - Name: MyAndroidClientTelemetryKey
            KeyValue: PLACEHOLDER
            IsActive: true
            CreateTime: '2023-02-14T12:00:00Z'
            LastUpdateTime: '2023-02-15T12:00:00Z'
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    TelemetryKeyDetails:
      type: object
      properties:
        CreateTime:
          description: When the key was created.
          type: string
        IsActive:
          description: >-
            Whether or not the key is currently active. Deactivated keys cannot
            be used for telemetry ingestion.
          type: boolean
        KeyValue:
          description: >-
            The key that can be distributed to clients for use during telemetry
            ingestion.
          type: string
        LastUpdateTime:
          description: When the key was last updated.
          type: string
        Name:
          description: >-
            The name of the key. Telemetry key names are unique within the scope
            of the title.
          type: string
      required:
        - IsActive
        - CreateTime
        - LastUpdateTime
  responses:
    ListTelemetryKeysResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListTelemetryKeysResponse'
            example:
              code: 200
              status: OK
              data:
                KeyDetails:
                  - Name: MyXboxClientTelemetryKey
                    KeyValue: PLACEHOLDER
                    IsActive: true
                    CreateTime: '2023-02-14T12:00:00Z'
                    LastUpdateTime: '2023-02-15T12:00:00Z'
                  - Name: MyAndroidClientTelemetryKey
                    KeyValue: PLACEHOLDER
                    IsActive: true
                    CreateTime: '2023-02-14T12:00:00Z'
                    LastUpdateTime: '2023-02-15T12:00:00Z'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [List Telemetry Keys](/services/playfab/api-references/rest/events/play-stream-events/list-telemetry-keys.md)
- [Telemetry Keys](/services/playfab/data-analytics/ingest-data/telemetry-keys-overview.md)
- [Create Telemetry Key](/api-reference/playstream-events/create-telemetry-key.md)
- [Delete Telemetry Keys](/services/playfab/data-analytics/ingest-data/ht-telemetry-keys-delete.md)
- [Get Telemetry Key](/api-reference/playstream-events/get-telemetry-key.md)
